public static interface EtcdWatchEndpointBuilderFactory.EtcdWatchBuilders
| Modifier and Type | Method and Description |
|---|---|
default EtcdWatchEndpointBuilderFactory.EtcdWatchEndpointBuilder |
etcdWatch(String path)
Etcd Watch (camel-etcd)
Watch specific etcd keys or directories for changes.
|
default EtcdWatchEndpointBuilderFactory.EtcdWatchEndpointBuilder |
etcdWatch(String componentName,
String path)
Etcd Watch (camel-etcd)
Watch specific etcd keys or directories for changes.
|
default EtcdWatchEndpointBuilderFactory.EtcdWatchEndpointBuilder etcdWatch(String path)
etcd-watch:path
Path parameter: path
The path the endpoint refers topath - pathdefault EtcdWatchEndpointBuilderFactory.EtcdWatchEndpointBuilder etcdWatch(String componentName, String path)
etcd-watch:path
Path parameter: path
The path the endpoint refers tocomponentName - to use a custom component name for the endpoint
instead of the default namepath - pathApache Camel